
#include <avr/io.h>
#include <avr/signal.h>
#include <avr/interrupt.h>

volatile uint8_t jog_counter;

SIGNAL(SIG_INTERRUPT0)
{
	if (bit_is_set(PIND,2))
		if (bit_is_set(PIND,3))
			jog_counter --;
		else
			jog_counter ++;
	else
		if (bit_is_set(PIND,3))
			jog_counter ++;
		else
			jog_counter --;
}
SIGNAL(SIG_INTERRUPT1)
{
	if (bit_is_set(PIND,3))
		if (bit_is_clear(PIND,2))
			jog_counter --;
		else
			jog_counter ++;
	else
		if (bit_is_clear(PIND,2))
			jog_counter ++;
		else
			jog_counter --;
}

void jog_init(void)
{
	MCUCR |= (1<<ISC00)|(1<<ISC10);
	GICR |= (1<<INT0)|(1<<INT1);
}

int main (void)
{
	DDRD = 0xC0;
	DDRB = 0x3F;
	
	jog_counter =0x0A;

	jog_init();
	sei();
	
	for (;;)
	{
		PORTB = jog_counter;
		PORTD = (PORTD & 0x3F) | (jog_counter & 0xC0);
	}
	
return 0;
}
